apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    deployment.kubernetes.io/revision: "7"
    field.cattle.io/creatorId: user-57kqn
    field.cattle.io/publicEndpoints: '[{"addresses":["157.245.113.92"],"port":30000,"protocol":"TCP","serviceName":"healthsimulator:emqx-nodeport","allNodes":true},{"addresses":["157.245.113.92"],"port":31803,"protocol":"TCP","serviceName":"healthsimulator:emqx-nodeport","allNodes":true}]'
    kubectl.kubernetes.io/last-applied-configuration: '{"apiVersion":"apps/v1","kind":"Deployment","metadata":{"annotations":{"deployment.kubernetes.io/revision":"4","field.cattle.io/creatorId":"user-57kqn","field.cattle.io/publicEndpoints":"[{\"addresses\":[\"134.122.1.63\"],\"port\":30000,\"protocol\":\"TCP\",\"serviceName\":\"healthsimulator:emqx-nodeport\",\"allNodes\":true},{\"addresses\":[\"134.122.1.63\"],\"port\":31803,\"protocol\":\"TCP\",\"serviceName\":\"healthsimulator:emqx-nodeport\",\"allNodes\":true}]"},"creationTimestamp":"2020-05-05T18:19:31Z","generation":6,"labels":{"cattle.io/creator":"norman","workload.user.cattle.io/workloadselector":"deployment-healthsimulator-emqx"},"name":"emqx","namespace":"healthsimulator","resourceVersion":"8257","selfLink":"/apis/apps/v1/namespaces/healthsimulator/deployments/emqx","uid":"0d06a4da-8e25-445a-8c4c-02576b245655"},"spec":{"progressDeadlineSeconds":600,"replicas":10,"revisionHistoryLimit":10,"selector":{"matchLabels":{"workload.user.cattle.io/workloadselector":"deployment-healthsimulator-emqx"}},"strategy":{"type":"Recreate"},"template":{"metadata":{"annotations":{"cattle.io/timestamp":"2020-05-05T18:22:38Z","field.cattle.io/ports":"[[{\"containerPort\":1883,\"dnsName\":\"emqx-nodeport\",\"hostPort\":0,\"kind\":\"NodePort\",\"name\":\"emqx-mqtt\",\"protocol\":\"TCP\",\"sourcePort\":30000},{\"containerPort\":18083,\"dnsName\":\"emqx-nodeport\",\"hostPort\":0,\"kind\":\"NodePort\",\"name\":\"emqx-dashboard\",\"protocol\":\"TCP\",\"sourcePort\":31803}]]"},"creationTimestamp":null,"labels":{"workload.user.cattle.io/workloadselector":"deployment-healthsimulator-emqx"}},"spec":{"containers":[{"env":[{"name":"EMQX_CLUSTER__DISCOVERY","value":"k8s"},{"name":"EMQX_CLUSTER__K8S__ADDRESS_TYPE","value":"ip"},{"name":"EMQX_CLUSTER__K8S__APISERVER","value":"https://kubernetes.default:443"},{"name":"EMQX_CLUSTER__K8S__APP_NAME","value":"emqx"},{"name":"EMQX_CLUSTER__K8S__NAMESPACE","value":"healthsimulator"},{"name":"EMQX_CLUSTER__K8S__SERVICE_NAME","value":"emqx"},{"name":"EMQX_NAME","value":"emqx"}],"image":"emqx/emqx:latest","imagePullPolicy":"Always","name":"emqx","ports":[{"containerPort":1883,"name":"emqx-mqtt","protocol":"TCP"},{"containerPort":18083,"name":"emqx-dashboard","protocol":"TCP"}],"resources":{},"securityContext":{"allowPrivilegeEscalation":true,"capabilities":{},"privileged":true,"readOnlyRootFilesystem":false,"runAsNonRoot":false},"stdin":true,"terminationMessagePath":"/dev/termination-log","terminationMessagePolicy":"File","tty":true}],"dnsPolicy":"ClusterFirst","restartPolicy":"Always","schedulerName":"default-scheduler","securityContext":{},"terminationGracePeriodSeconds":30}}},"status":{"availableReplicas":10,"conditions":[{"lastTransitionTime":"2020-05-05T18:23:25Z","lastUpdateTime":"2020-05-05T18:23:25Z","message":"Deployment
      has minimum availability.","reason":"MinimumReplicasAvailable","status":"True","type":"Available"},{"lastTransitionTime":"2020-05-05T18:19:31Z","lastUpdateTime":"2020-05-05T18:23:25Z","message":"ReplicaSet
      \"emqx-6876cd75fd\" has successfully progressed.","reason":"NewReplicaSetAvailable","status":"True","type":"Progressing"}],"observedGeneration":6,"readyReplicas":10,"replicas":10,"updatedReplicas":10}}'
  creationTimestamp: null
  generation: 1
  labels:
    cattle.io/creator: norman
    workload.user.cattle.io/workloadselector: deployment-healthsimulator-emqx
  name: emqx
  selfLink: /apis/apps/v1/namespaces/healthsimulator/deployments/emqx
spec:
  progressDeadlineSeconds: 600
  replicas: 10
  revisionHistoryLimit: 10
  selector:
    matchLabels:
      workload.user.cattle.io/workloadselector: deployment-healthsimulator-emqx
  strategy:
    type: Recreate
  template:
    metadata:
      annotations:
        cattle.io/timestamp: "2020-06-03T23:45:19Z"
        field.cattle.io/ports: '[[{"containerPort":1883,"dnsName":"emqx-nodeport","hostPort":0,"kind":"NodePort","name":"emqx-mqtt","protocol":"TCP","sourcePort":30000},{"containerPort":18083,"dnsName":"emqx-nodeport","hostPort":0,"kind":"NodePort","name":"emqx-dashboard","protocol":"TCP","sourcePort":31803}]]'
      creationTimestamp: null
      labels:
        workload.user.cattle.io/workloadselector: deployment-healthsimulator-emqx
    spec:
      containers:
      - env:
        - name: EMQX_CLUSTER__DISCOVERY
          value: k8s
        - name: EMQX_CLUSTER__K8S__ADDRESS_TYPE
          value: ip
        - name: EMQX_CLUSTER__K8S__APISERVER
          value: https://kubernetes.default:443
        - name: EMQX_CLUSTER__K8S__APP_NAME
          value: emqx
        - name: EMQX_CLUSTER__K8S__NAMESPACE
          value: healthsimulator
        - name: EMQX_CLUSTER__K8S__SERVICE_NAME
          value: emqx
        - name: EMQX_NAME
          value: emqx
        image: emqx/emqx:latest
        imagePullPolicy: Always
        name: emqx
        ports:
        - containerPort: 1883
          name: emqx-mqtt
          protocol: TCP
        - containerPort: 18083
          name: emqx-dashboard
          protocol: TCP
        resources: {}
        securityContext:
          allowPrivilegeEscalation: true
          privileged: true
          readOnlyRootFilesystem: false
          runAsNonRoot: false
        stdin: true
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
        tty: true
      dnsPolicy: ClusterFirst
      initContainers:
      - command:
        - /bin/sh
        - -c
        - |-
          sysctl -w fs.file-max=2097152
          sysctl -w fs.nr_open=2097152
          echo 2097152 > /proc/sys/fs/nr_open
          ulimit -n 1048576
          sysctl -w net.core.somaxconn=32768
          sysctl -w net.ipv4.tcp_max_syn_backlog=16384
          sysctl -w net.core.netdev_max_backlog=16384
          sysctl -w net.ipv4.ip_local_port_range="1000 65535"
          sysctl -w net.core.wmem_default=262144
          sysctl -w net.core.rmem_max=16777216
          sysctl -w net.core.wmem_max=16777216
          sysctl -w net.core.optmem_max=16777216
          sysctl -w net.ipv4.tcp_rmem='1024 4096 16777216'
          sysctl -w net.ipv4.tcp_wmem='1024 4096 16777216'
          sysctl -w net.nf_conntrack_max=1000000
          sysctl -w net.netfilter.nf_conntrack_max=1000000
          sysctl -w net.netfilter.nf_conntrack_tcp_timeout_time_wait=30
          sysctl -w net.ipv4.tcp_fin_timeout=15
        image: alpine:3.4
        imagePullPolicy: Always
        name: emqx-limits
        resources: {}
        securityContext:
          allowPrivilegeEscalation: true
          privileged: true
          readOnlyRootFilesystem: false
          runAsNonRoot: false
        stdin: true
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
        tty: true
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      terminationGracePeriodSeconds: 30
status: {}
